/*Resting method */

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

body {
    line-height: 1;

}

ol,
ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}


/*Resting method */
/* global */

body {

    font-family: 'Poppins', sans-serif;
}

svg {
    width: 25px;
    height: 25px;
}

/* global end  */
/* header */

header {
    font-weight: 400;
    height: 125px;
    margin: 0px 400px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header h2 {
    font-weight: 700;
    color: #2978B5;
    font-size: 24px;
}

nav {
    font-weight: 500;
    display: flex;
    gap: 30px;
    color: #555555;
    align-items: center;
}

nav button,
.logs button {
    border: none;
    background: transparent;
    cursor: pointer;
}

/* header end  */


/* section1  */

.section1 {
    margin: 0px 400px;
    margin-right: 400px;
    margin-top: 50px;
    height: 375px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.section1 h1 {
    font-weight: 700;
    font-size: 64px;
    color: #555555;
}

.section1 h1 span {
    color: #2978B5;
}

.section1 h2 {
    color: #555555;
    font-size: 32px;
    font-weight: 700;
}

.section1-buttons {
    display: flex;
    gap: 10px;
    align-items: center;
}

.section1-buttons button {
    font-weight: 600;
    padding: 14px 22px;
    font-size: 15px;
    color: #2978B5;
    border: 2px solid #2978B5;
    background: linear-gradient(to right, #2978B5 50%, white 50%);
    background-size: 200% 100%;
    background-position: right bottom;
    transition: all .5s ease-out;
}

.section1-buttons button:hover {
    background: #2978B5;
    color: white;
    background-position: left bottom;
}

.section1-buttons svg:hover {
    fill: #2978B5;
}

.section1 p {
    width: 620px;
    line-height: 24px;
    color: #555555;
}

/* section 1 end   */


/* section2  */

.section2 {
    margin: 75px 400px;
}

.section2 h2 {
    font-weight: 700;
    font-size: 32px;
    text-align: center;
}

.section2 ul {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;

}

.links {
    display: flex;
    gap: 20px;
}

.links svg:hover {
    cursor: pointer;
    fill: #2978B5;
}

.section2 ul li {
    width: 350px;
    height: 300px;
    margin: 30px 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    transition: transform 0.5s;

}

.section2 ul li:hover {
    
    transform: translateY(-3%);
}

.section2 ul li h3 {
    font-weight: 700;
    font-size: 24px;
    color: #555555;
}

.section2 ul li p {
    display: flex;
    gap: 20px;
    font-size: 12px;
    font-weight: 500;
    color: #555555;
}



/* section 2 end   */
/* section 3   */

.section3 {
    margin: 0px 400px;
    margin-bottom: 100px;
}

.section3 {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 35px;
}

.programming {
    display: flex;
    align-items: center;
}

.frames {
    display: flex;
    align-items: center;
}

.dev {
    display: flex;
    align-items: center;
}

.section3 h2 {
    font-weight: 700;
    font-size: 32px;
    padding: 5px 0px;
}

.skills {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
}

.skills p {
    font-weight: 600;
    padding: 14px 22px;
    font-size: 15px;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    transition: transform 0.5s;
}

.skills p:hover {
    transform: translateY(-12%);
}

.skills div {
    display: flex;
    gap: 16px;

}

/* section 3 end   */

/* section4   */
.section4 {
    margin: 0px 400px;
    margin-bottom: 50px;
    height: 125px;
    padding: 0px 400px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.section4 button {
    font-weight: 600;
    padding: 14px 22px;
    font-size: 15px;
    color: #2978B5;
    border: 2px solid #2978B5;
    background: white;
    background: linear-gradient(to right, #2978B5 50%, white 50%);
    background-size: 200% 100%;
    background-position: right bottom;
    transition: all .5s ease-out;
}

.section4 button:hover {
    background: #2978B5;
    color: white;
    background-position: left bottom;
}

.section4 h2 {
    font-weight: 700;
    font-size: 32px;
}

/* section 4 end   */
/* footer  */

footer {
    font-weight: 700;
    font-size: 15px;
    color: #2978B5;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* footer end  */

/* hide */
.mobile-headder {
    display: none;
}

/* hide end      */
/* media Querry  */

@media screen and (max-width:1225px) {

    body {
        width: 100%;
    }

    header {
        display: none;
    }

    .mobile-headder {
        display: flex;
        margin: 30px 10px;
        justify-content: space-between;
        align-items: center;

    }

    .mobile-headder h2 {
        font-weight: 700;
        color: #2978B5;
        font-size: 24px;
    }

    .section1 {
        margin: 10px 10px;
        height: auto;
        text-align: left;
    }

    .section1 h2 {
        padding: 30px 0px;
        margin-left: 0px;
    }

    .section1 p {
        width: 100%;
        padding: 30px 0px;
    }


    .section2 {
        margin: 10px 10px;
        align-items: center;
        justify-content: center;
    }

    .section2 ul {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .section3 {
        margin: 10px 10px;
    }

    .section4 {
        padding: 0;
        margin: 10px 10px;
    }


}

/* media query end  */
